Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Threaded View
Kafka >> mail # user >> kafka_2.8.0-0.8.0 maven dependency


Copy link to this message
-
Re: kafka_2.8.0-0.8.0 maven dependency
Thanks for quick response Joe !!

As per my understanding we can use maven dependency of kafka_2.10-0.8.0 in
application against binary release of kafka_2.8.0-0.8.0 available on kafka
website.
On Thu, Dec 12, 2013 at 12:44 PM, Joe Stein <[EMAIL PROTECTED]> wrote:

> no plan yet
>
> you can use the broker binary up on the download page, same like if you
> were using the python or c++ client with the broker another scala version
> is alright for the client
>
> On Thu, Dec 12, 2013 at 7:25 AM, Hanish Bansal <
> [EMAIL PROTECTED]> wrote:
>
> > Hi Joe,
> >
> > Is there any planned date to fix this ?
> >
> > If i switch to kafka_2.10-0.8.0 in my application then i will also have
> to
> > use kafka of same version. For that i'll have to download source of kafka
> > and compile that against scala 2.10, as there is only binary release of
> > kafka_2.8.0-0.8.0 available on kafka site.
> >
> > Correct me if i am wrong.
> >
> >
> >
> >
> > On Thu, Dec 12, 2013 at 5:21 PM, Joe Stein <[EMAIL PROTECTED]> wrote:
> >
> > > There is an open JIRA for it
> > >
> > > to fix for now you can switch to
> > >
> > > <dependency>
> > >     <groupId>org.apache.kafka</groupId>
> > >     <artifactId>kafka_2.10</artifactId>
> > >     <version>0.8.0</version>
> > > </dependency>
> > >
> > > /*******************************************
> > >  Joe Stein
> > >  Founder, Principal Consultant
> > >  Big Data Open Source Security LLC
> > >  http://www.stealth.ly
> > >  Twitter: @allthingshadoop <http://www.twitter.com/allthingshadoop>
> > > ********************************************/
> > >
> > >
> > > On Thu, Dec 12, 2013 at 6:38 AM, Hanish Bansal <
> > > [EMAIL PROTECTED]> wrote:
> > >
> > > > Hi All,
> > > >
> > > > I am upgrading my system from kafka-0.8.0 beta release to kafka 0.8.0
> > > final
> > > > release.
> > > >
> > > > I am using below maven dependency for kafka 0.8 final release:
> > > >
> > > > <dependency>
> > > >     <groupId>org.apache.kafka</groupId>
> > > >     <artifactId>kafka_2.8.0</artifactId>
> > > >     <version>0.8.0</version>
> > > > </dependency>
> > > >
> > > > When i am building my application, kafka 0.8.0 jar is automatically
> > > > downloaded of size 6 KB in my local maven repository. But it is
> giving
> > > > compilation error showing that producers , consumers classes are
> > missing.
> > > >
> > > > In previous beta release size of kafka_2.8.0-0.8.0-beta1 jar was 2.4
> MB
> > > and
> > > > there was no compilation error.
> > > >
> > > > Is there any problem in maven dependency of kafka_2.8.0-0.8.0 ?
> > > >
> > > > Thanks in advance !!
> > > >
> > > > --
> > > > *Thanks & Regards*
> > > > *Hanish Bansal*
> > > >
> > >
> >
> >
> >
> > --
> > *Thanks & Regards*
> > *Hanish Bansal*
> >
>

--
*Thanks & Regards*
*Hanish Bansal*

 
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB